package com.qmth.jkserver.enums;

/**
 * 考生违纪处理类型
 * @author tianjun
 *
 */
public enum ExamCheatOperateType {

	WEIJI("违纪处理", 0);

    private String name;

    private int id;

    private ExamCheatOperateType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ExamCheatOperateType findById(int id) {
        for (ExamCheatOperateType status : ExamCheatOperateType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
